Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154021 - CAN-2005-1042 PHP exif buffer overflow
Summary: CAN-2005-1042 PHP exif buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050331,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-06 16:27 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 18:53:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:405 high SHIPPED_LIVE Moderate: PHP security update 2005-04-28 04:00:00 UTC
Red Hat Product Errata RHSA-2005:406 high SHIPPED_LIVE Moderate: PHP security update 2005-05-04 04:00:00 UTC

Description Josh Bressers 2005-04-06 16:27:06 UTC
PHP 4.3.11 fixes a buffer overflow bug in the exif extension.

http://cvs.php.net/diff.php/php-src/ext/exif/exif.c?r1=1.118.2.33&r2=1.118.2.34&ty=u

Comment 1 Josh Bressers 2005-04-06 16:30:32 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Mark J. Cox 2005-04-25 12:41:23 UTC
Note that we've classified this issue as Moderate and not Important since this
issue only affects PHP applications that accept image uploads from untrusted users.

Comment 3 Josh Bressers 2005-04-28 18:53:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-405.html


Comment 4 Josh Bressers 2005-05-04 15:09:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-406.html



Note You need to log in before you can comment on or make changes to this bug.